Get queue

GET
/v1/queues/{queueId}

Get a queue by id.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

queueId*string
Formatuuid

Response Body

The queue

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/queues/{queueId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "0bf82493-ae46-4c49-aa29-0422136269be",
"name": "MyCorp main queue",
"isDefault": true,
"organizationId": "3de6c0f1-5e84-4d29-9ce9-84033983d4e6",
"queueThresholds": {
"SlaPercentage": 10
},
"slaCalculationMethod": "AbandonedIgnored",
"offerTimeout": 10,
"offeringAlgorithm": "OneAtATimeRandom",
"memberListType": "SkillBased",
"usages": {
"queueId": "0bf82493-ae46-4c49-aa29-0422136269be",
"usages": {
"WidgetChat": [
"c6f50127-7f0a-418f-943e-c62b96d8a742",
"b2ac94ac-379a-4f24-995a-6473809eef6b"
],
"PstnPhone": [
"+4589977790"
],
"Email": [
"info@mycorp.dixa.io"
]
}
},
"wrapupTimeout": 10,
"priority": 1,
"offerAbandonedConversations": false,
"doNotOfferTimeouts": {
"WidgetChat": 1
},
"isDoNotOfferEnabled": true,
"isPreferredAgentEnabled": false,
"preferredAgentTimeouts": {
"WhatsApp": 300,
"Voicemail": 300,
"WidgetChat": 300,
"FacebookMessenger": 300,
"Email": 43200,
"ContactForm": 43200,
"Callback": 300,
"PstnPhone": 300
},
"preferredAgentOfflineTimeout": 500,
"personalAgentOfflineTimeout": 500,
"isRestricted": true
}
}